Page MenuHomePhabricator

v1 toolbar shows disabled edit tools on first load, then never again
Closed, ResolvedPublic

Description

Previously the edit toolbar wasn't shown until first focus, so the disabled tools were never visible.

Since we introduced document mode for selections, it is no longer possible to change the selection back to null, so the tools never become disabled again during the edit.

The solution would be to initialise the selection to the first content offset, but deactivated so the keyboard doesn't show.

Event Timeline

Esanders created this task.Aug 20 2019, 2:49 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 20 2019, 2:49 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

That screenshot does also remind me that we should, perhaps, hide the toolbar while that modal is displayed? Having non-disabled tools while the modal is present would be weird as well, after all.

Change 527452 had a related patch set uploaded (by DLynch; owner: DLynch):
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: v1 of toolbar refresh

https://gerrit.wikimedia.org/r/527452

That screenshot does also remind me that we should, perhaps, hide the toolbar while that modal is displayed? Having non-disabled tools while the modal is present would be weird as well, after all.

Yes, that came up as well and was filed as T230806: Showing the v1 toolbar with anon edit warning could be confusing.

Esanders assigned this task to DLynch.Aug 21 2019, 12:00 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.
Esanders renamed this task from v2 toolbar shows disabled edit tools on first load, then never again to v1 toolbar shows disabled edit tools on first load, then never again.Aug 30 2019, 3:33 PM

Change 527452 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: v1 of toolbar refresh

https://gerrit.wikimedia.org/r/527452

ppelberg closed this task as Resolved.Oct 9 2019, 12:53 AM